<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_destinationinfo.php" ?>
<?php include "tbl_languageinfo.php" ?>
<?php include "tbl_country_originalinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_destination_view = new ctbl_destination_view();
$Page =& $tbl_destination_view;

// Page init
$tbl_destination_view->Page_Init();

// Page main
$tbl_destination_view->Page_Main();
?>
<?php include "header.php" ?>
<?php if ($tbl_destination->Export == "") { ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_destination_view = new ew_Page("tbl_destination_view");

// page properties
tbl_destination_view.PageID = "view"; // page ID
tbl_destination_view.FormID = "ftbl_destinationview"; // form ID
var EW_PAGE_ID = tbl_destination_view.PageID; // for backward compatibility

// extend page with Form_CustomValidate function
tbl_destination_view.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_destination_view.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_destination_view.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<?php } ?>
<p><span class="phpmaker"><?php echo $Language->Phrase("View") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_destination->TableCaption() ?>
<br><br>
<?php if ($tbl_destination->Export == "") { ?>
<a href="<?php echo $tbl_destination_view->ListUrl ?>"><?php echo $Language->Phrase("BackToList") ?></a>&nbsp;
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $tbl_destination_view->EditUrl ?>"><?php echo $Language->Phrase("ViewPageEditLink") ?></a>&nbsp;
<?php } ?>
<?php } ?>
</span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_destination_view->ShowMessage();
?>
<p>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($tbl_destination->des_id->Visible) { // des_id ?>
	<tr<?php echo $tbl_destination->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_destination->des_id->FldCaption() ?></td>
		<td<?php echo $tbl_destination->des_id->CellAttributes() ?>>
<div<?php echo $tbl_destination->des_id->ViewAttributes() ?>><?php echo $tbl_destination->des_id->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_destination->language_id->Visible) { // language_id ?>
	<tr<?php echo $tbl_destination->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_destination->language_id->FldCaption() ?></td>
		<td<?php echo $tbl_destination->language_id->CellAttributes() ?>>
<div<?php echo $tbl_destination->language_id->ViewAttributes() ?>><?php echo $tbl_destination->language_id->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_destination->country_id->Visible) { // country_id ?>
	<tr<?php echo $tbl_destination->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_destination->country_id->FldCaption() ?></td>
		<td<?php echo $tbl_destination->country_id->CellAttributes() ?>>
<div<?php echo $tbl_destination->country_id->ViewAttributes() ?>><?php echo $tbl_destination->country_id->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_destination->title->Visible) { // title ?>
	<tr<?php echo $tbl_destination->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_destination->title->FldCaption() ?></td>
		<td<?php echo $tbl_destination->title->CellAttributes() ?>>
<div<?php echo $tbl_destination->title->ViewAttributes() ?>><?php echo $tbl_destination->title->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_destination->page_title->Visible) { // page_title ?>
	<tr<?php echo $tbl_destination->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_destination->page_title->FldCaption() ?></td>
		<td<?php echo $tbl_destination->page_title->CellAttributes() ?>>
<div<?php echo $tbl_destination->page_title->ViewAttributes() ?>><?php echo $tbl_destination->page_title->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_destination->photo->Visible) { // photo ?>
	<tr<?php echo $tbl_destination->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_destination->photo->FldCaption() ?></td>
		<td<?php echo $tbl_destination->photo->CellAttributes() ?>>
<?php if ($tbl_destination->photo->HrefValue <> "" || $tbl_destination->photo->TooltipValue <> "") { ?>
<?php if (!empty($tbl_destination->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_destination->photo->UploadPath) . $tbl_destination->photo->Upload->DbValue ?>" border=0<?php echo $tbl_destination->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_destination->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } else { ?>
<?php if (!empty($tbl_destination->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_destination->photo->UploadPath) . $tbl_destination->photo->Upload->DbValue ?>" border=0<?php echo $tbl_destination->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_destination->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } ?>
</td>
	</tr>
<?php } ?>
<?php if ($tbl_destination->description->Visible) { // description ?>
	<tr<?php echo $tbl_destination->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_destination->description->FldCaption() ?></td>
		<td<?php echo $tbl_destination->description->CellAttributes() ?>>
<div<?php echo $tbl_destination->description->ViewAttributes() ?>><?php echo $tbl_destination->description->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_destination->order_by->Visible) { // order_by ?>
	<tr<?php echo $tbl_destination->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_destination->order_by->FldCaption() ?></td>
		<td<?php echo $tbl_destination->order_by->CellAttributes() ?>>
<div<?php echo $tbl_destination->order_by->ViewAttributes() ?>><?php echo $tbl_destination->order_by->ViewValue ?></div></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($tbl_destination->Export == "") { ?>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php } ?>
<?php include "footer.php" ?>
<?php
$tbl_destination_view->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_destination_view {

	// Page ID
	var $PageID = 'view';

	// Table name
	var $TableName = 'tbl_destination';

	// Page object name
	var $PageObjName = 'tbl_destination_view';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_destination;
		if ($tbl_destination->UseTokenInUrl) $PageUrl .= "t=" . $tbl_destination->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_destination;
		if ($tbl_destination->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_destination->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_destination->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_destination_view() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_destination)
		$GLOBALS["tbl_destination"] = new ctbl_destination();

		// Table object (tbl_language)
		$GLOBALS['tbl_language'] = new ctbl_language();

		// Table object (tbl_country_original)
		$GLOBALS['tbl_country_original'] = new ctbl_country_original();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_destination', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_destination;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $lDisplayRecs = 1;
	var $lStartRec;
	var $lStopRec;
	var $lTotalRecs = 0;
	var $lRecRange = 10;
	var $lRecCnt;
	var $arRecKey = array();

	//
	// Page main
	//
	function Page_Main() {
		global $Language, $tbl_destination;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["des_id"] <> "") {
				$tbl_destination->des_id->setQueryStringValue($_GET["des_id"]);
				$this->arRecKey["des_id"] = $tbl_destination->des_id->QueryStringValue;
			} else {
				$sReturnUrl = "tbl_destinationlist.php"; // Return to list
			}

			// Get action
			$tbl_destination->CurrentAction = "I"; // Display form
			switch ($tbl_destination->CurrentAction) {
				case "I": // Get a record to display
					if (!$this->LoadRow()) { // Load record based on key
						$this->setMessage($Language->Phrase("NoRecord")); // Set no record message
						$sReturnUrl = "tbl_destinationlist.php"; // No matching record, return to list
					}
			}
		} else {
			$sReturnUrl = "tbl_destinationlist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$tbl_destination->RowType = EW_ROWTYPE_VIEW;
		$this->RenderRow();
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		global $tbl_destination;
		if ($this->lDisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->lStartRec = $_GET[EW_TABLE_START_REC];
				$tbl_destination->setStartRecordNumber($this->lStartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$this->nPageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($this->nPageNo)) {
					$this->lStartRec = ($this->nPageNo-1)*$this->lDisplayRecs+1;
					if ($this->lStartRec <= 0) {
						$this->lStartRec = 1;
					} elseif ($this->lStartRec >= intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1) {
						$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1;
					}
					$tbl_destination->setStartRecordNumber($this->lStartRec);
				}
			}
		}
		$this->lStartRec = $tbl_destination->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->lStartRec) || $this->lStartRec == "") { // Avoid invalid start record counter
			$this->lStartRec = 1; // Reset start record counter
			$tbl_destination->setStartRecordNumber($this->lStartRec);
		} elseif (intval($this->lStartRec) > intval($this->lTotalRecs)) { // Avoid starting record > total records
			$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to last page first record
			$tbl_destination->setStartRecordNumber($this->lStartRec);
		} elseif (($this->lStartRec-1) % $this->lDisplayRecs <> 0) {
			$this->lStartRec = intval(($this->lStartRec-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to page boundary
			$tbl_destination->setStartRecordNumber($this->lStartRec);
		}
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_destination;
		$sFilter = $tbl_destination->KeyFilter();

		// Call Row Selecting event
		$tbl_destination->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_destination->CurrentFilter = $sFilter;
		$sSql = $tbl_destination->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_destination->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_destination;
		$tbl_destination->des_id->setDbValue($rs->fields('des_id'));
		$tbl_destination->language_id->setDbValue($rs->fields('language_id'));
		$tbl_destination->country_id->setDbValue($rs->fields('country_id'));
		$tbl_destination->title->setDbValue($rs->fields('title'));
		$tbl_destination->page_title->setDbValue($rs->fields('page_title'));
		$tbl_destination->photo->Upload->DbValue = $rs->fields('photo');
		$tbl_destination->description->setDbValue($rs->fields('description'));
		$tbl_destination->order_by->setDbValue($rs->fields('order_by'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_destination;

		// Initialize URLs
		$this->ExportPrintUrl = $this->PageUrl() . "export=print&" . "des_id=" . urlencode($tbl_destination->des_id->CurrentValue);
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html&" . "des_id=" . urlencode($tbl_destination->des_id->CurrentValue);
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel&" . "des_id=" . urlencode($tbl_destination->des_id->CurrentValue);
		$this->ExportWordUrl = $this->PageUrl() . "export=word&" . "des_id=" . urlencode($tbl_destination->des_id->CurrentValue);
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml&" . "des_id=" . urlencode($tbl_destination->des_id->CurrentValue);
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv&" . "des_id=" . urlencode($tbl_destination->des_id->CurrentValue);
		$this->AddUrl = $tbl_destination->AddUrl();
		$this->EditUrl = $tbl_destination->EditUrl();
		$this->CopyUrl = $tbl_destination->CopyUrl();
		$this->DeleteUrl = $tbl_destination->DeleteUrl();
		$this->ListUrl = $tbl_destination->ListUrl();

		// Call Row_Rendering event
		$tbl_destination->Row_Rendering();

		// Common render codes for all row types
		// des_id

		$tbl_destination->des_id->CellCssStyle = ""; $tbl_destination->des_id->CellCssClass = "";
		$tbl_destination->des_id->CellAttrs = array(); $tbl_destination->des_id->ViewAttrs = array(); $tbl_destination->des_id->EditAttrs = array();

		// language_id
		$tbl_destination->language_id->CellCssStyle = ""; $tbl_destination->language_id->CellCssClass = "";
		$tbl_destination->language_id->CellAttrs = array(); $tbl_destination->language_id->ViewAttrs = array(); $tbl_destination->language_id->EditAttrs = array();

		// country_id
		$tbl_destination->country_id->CellCssStyle = ""; $tbl_destination->country_id->CellCssClass = "";
		$tbl_destination->country_id->CellAttrs = array(); $tbl_destination->country_id->ViewAttrs = array(); $tbl_destination->country_id->EditAttrs = array();

		// title
		$tbl_destination->title->CellCssStyle = ""; $tbl_destination->title->CellCssClass = "";
		$tbl_destination->title->CellAttrs = array(); $tbl_destination->title->ViewAttrs = array(); $tbl_destination->title->EditAttrs = array();

		// page_title
		$tbl_destination->page_title->CellCssStyle = ""; $tbl_destination->page_title->CellCssClass = "";
		$tbl_destination->page_title->CellAttrs = array(); $tbl_destination->page_title->ViewAttrs = array(); $tbl_destination->page_title->EditAttrs = array();

		// photo
		$tbl_destination->photo->CellCssStyle = ""; $tbl_destination->photo->CellCssClass = "";
		$tbl_destination->photo->CellAttrs = array(); $tbl_destination->photo->ViewAttrs = array(); $tbl_destination->photo->EditAttrs = array();

		// description
		$tbl_destination->description->CellCssStyle = ""; $tbl_destination->description->CellCssClass = "";
		$tbl_destination->description->CellAttrs = array(); $tbl_destination->description->ViewAttrs = array(); $tbl_destination->description->EditAttrs = array();

		// order_by
		$tbl_destination->order_by->CellCssStyle = ""; $tbl_destination->order_by->CellCssClass = "";
		$tbl_destination->order_by->CellAttrs = array(); $tbl_destination->order_by->ViewAttrs = array(); $tbl_destination->order_by->EditAttrs = array();
		if ($tbl_destination->RowType == EW_ROWTYPE_VIEW) { // View row

			// des_id
			$tbl_destination->des_id->ViewValue = $tbl_destination->des_id->CurrentValue;
			$tbl_destination->des_id->CssStyle = "";
			$tbl_destination->des_id->CssClass = "";
			$tbl_destination->des_id->ViewCustomAttributes = "";

			// language_id
			if (strval($tbl_destination->language_id->CurrentValue) <> "") {
				$sFilterWrk = "`language_id` = " . ew_AdjustSql($tbl_destination->language_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `language` FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_destination->language_id->ViewValue = $rswrk->fields('language');
					$rswrk->Close();
				} else {
					$tbl_destination->language_id->ViewValue = $tbl_destination->language_id->CurrentValue;
				}
			} else {
				$tbl_destination->language_id->ViewValue = NULL;
			}
			$tbl_destination->language_id->CssStyle = "";
			$tbl_destination->language_id->CssClass = "";
			$tbl_destination->language_id->ViewCustomAttributes = "";

			// country_id
			if (strval($tbl_destination->country_id->CurrentValue) <> "") {
				$sFilterWrk = "`country_or_id` = " . ew_AdjustSql($tbl_destination->country_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `country` FROM `tbl_country_original`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_destination->country_id->ViewValue = $rswrk->fields('country');
					$rswrk->Close();
				} else {
					$tbl_destination->country_id->ViewValue = $tbl_destination->country_id->CurrentValue;
				}
			} else {
				$tbl_destination->country_id->ViewValue = NULL;
			}
			$tbl_destination->country_id->CssStyle = "";
			$tbl_destination->country_id->CssClass = "";
			$tbl_destination->country_id->ViewCustomAttributes = "";

			// title
			$tbl_destination->title->ViewValue = $tbl_destination->title->CurrentValue;
			$tbl_destination->title->CssStyle = "";
			$tbl_destination->title->CssClass = "";
			$tbl_destination->title->ViewCustomAttributes = "";

			// page_title
			$tbl_destination->page_title->ViewValue = $tbl_destination->page_title->CurrentValue;
			$tbl_destination->page_title->CssStyle = "";
			$tbl_destination->page_title->CssClass = "";
			$tbl_destination->page_title->ViewCustomAttributes = "";

			// photo
			if (!ew_Empty($tbl_destination->photo->Upload->DbValue)) {
				$tbl_destination->photo->ViewValue = $tbl_destination->photo->Upload->DbValue;
				$tbl_destination->photo->ImageWidth = 200;
				$tbl_destination->photo->ImageHeight = 0;
				$tbl_destination->photo->ImageAlt = $tbl_destination->photo->FldAlt();
			} else {
				$tbl_destination->photo->ViewValue = "";
			}
			$tbl_destination->photo->CssStyle = "";
			$tbl_destination->photo->CssClass = "";
			$tbl_destination->photo->ViewCustomAttributes = "";

			// description
			$tbl_destination->description->ViewValue = $tbl_destination->description->CurrentValue;
			$tbl_destination->description->CssStyle = "";
			$tbl_destination->description->CssClass = "";
			$tbl_destination->description->ViewCustomAttributes = "";

			// order_by
			$tbl_destination->order_by->ViewValue = $tbl_destination->order_by->CurrentValue;
			$tbl_destination->order_by->CssStyle = "";
			$tbl_destination->order_by->CssClass = "";
			$tbl_destination->order_by->ViewCustomAttributes = "";

			// des_id
			$tbl_destination->des_id->HrefValue = "";
			$tbl_destination->des_id->TooltipValue = "";

			// language_id
			$tbl_destination->language_id->HrefValue = "";
			$tbl_destination->language_id->TooltipValue = "";

			// country_id
			$tbl_destination->country_id->HrefValue = "";
			$tbl_destination->country_id->TooltipValue = "";

			// title
			$tbl_destination->title->HrefValue = "";
			$tbl_destination->title->TooltipValue = "";

			// page_title
			$tbl_destination->page_title->HrefValue = "";
			$tbl_destination->page_title->TooltipValue = "";

			// photo
			$tbl_destination->photo->HrefValue = "";
			$tbl_destination->photo->TooltipValue = "";

			// description
			$tbl_destination->description->HrefValue = "";
			$tbl_destination->description->TooltipValue = "";

			// order_by
			$tbl_destination->order_by->HrefValue = "";
			$tbl_destination->order_by->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($tbl_destination->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_destination->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}
}
?>
